Send a live chat message
https://api.chat-data.com/ api/ v2/ live- chat/ live-chatSend a live chat message to an existing conversation of a chatbot. The message can be sent as a human agent (role: 'human'), as an assistant response (role: 'assistant') or as a user message (role: 'user').
Role behavior:
- 'human' (default): The message is sent as a human agent. This automatically stops the AI bot so that it does not interfere with human assistance. The
nameandavatarparameters are used for the human agent's identity. - 'assistant': The message is sent as an AI assistant response. The AI bot continues to operate normally. The
nameandavatarparameters are ignored. - 'user': The message is sent as a user message. The AI bot continues to operate normally. The
nameandavatarparameters are ignored.
If you want to take over the conversation as a human agent, use the default 'human' role. If you want to send assistant responses without stopping the AI bot, use the 'assistant' role.
Request body
Sending 3 of 7 fieldschatbotIdstringmessagestringfiles, send a blank string such as a single space.conversationIdstringOnly these fields are sent (application/json).